% Author: Robert Grimm robert.grimm@cs.fau.de
% Pattern Recognition Lab, FAU Erlangen-Nuremberg, Erlangen, Germany
% Last change:  09.05.2012

function [  ] = exampleCartesian()
% example for generating Cartesian samples  

% fixme: input: T0, Tend
% fixme: input: samplingT0, samplingTend / 

    baseres = 320;

    perfusionStartTime = 0;
    perfusionTime = 60; % unit: [s]

    samplingStartTime=0; % unit: [s]
    samplingEndTime=60;

%     reordering = 'inverse-centric'
    reordering = 'linear';
%     reordering = 'centric';
    
    aifModel = 'Parker';

    % evaluate phantom
    [samples, PEorder] = sampleCartesian(baseres, perfusionStartTime, perfusionTime, samplingStartTime, samplingEndTime, reordering, aifModel);

    % convert cell to k-space matrix
    SL = permute(reshape(cell2mat(samples), [baseres baseres]), [2 1]);
    [~, indexPE] = sort(PEorder); % sort readouts into k-space matrix
    SL = SL(indexPE, :);

    % display FT
    figure, imagesc(abs(fftshift(fft2(fftshift(SL)))));        


end