% Author: Robert Grimm robert.grimm@cs.fau.de
% Pattern Recognition Lab, FAU Erlangen-Nuremberg, Erlangen, Germany
% Last change:  09.05.2012

function [  ] = exampleCurves(  )
%EXAMPLECURVES example showing how to generate contrast enhancement curves

    aifModel = 'Parker';
    tissues = tissuePresets(5);
    perfusionTime = 180; % total time; unit: [ s ]
    perfusionT0 = 60; % bolus onset; unit: [ s ]

    [aif, tacs, t] = generateCurves(aifModel, tissues, perfusionTime, perfusionT0);
    
    figure, plot(t,aif, '-k'), xlabel('t [s]');
    legend('AIF');
    set(gca, 'xtick', 0:30:perfusionTime);    
    hold on, plot(t, tacs');
    set(gca, 'xgrid', 'on');
    set(gca, 'ygrid', 'on');
end

