% Author: Robert Grimm robert.grimm@cs.fau.de
% Pattern Recognition Lab, FAU Erlangen-Nuremberg, Erlangen, Germany
% Last change:  09.05.2012

function [  ] = exampleGroundTruth()
% example for generating Cartesian ground truth reconstructions  

    baseres = 256;

    perfusionStartTime = 0;
    perfusionTime = 60; % unit: [s]

    for t=0:60  % unit: [s]
        samplingStartTime=t; 
        samplingEndTime=t;

        reordering = 'linear';    
        aifModel = 'Parker';

        % evaluate phantom
        [samples, PEorder] = sampleCartesian(baseres, perfusionStartTime, perfusionTime, samplingStartTime, samplingEndTime, reordering, aifModel);

        % convert cell to k-space matrix
        SL = permute(reshape(cell2mat(samples), [baseres baseres]), [2 1]);
        [~, indexPE] = sort(PEorder); % sort readouts into k-space matrix
        SL = SL(indexPE, :);

        % display FT
        figTitle = sprintf('Time: %d s - press key to advance', t);
        figure(1), imagesc(abs(fftshift(fft2(fftshift(SL))))), title(figTitle); 
        pause;        
    end

end