% Author: Robert Grimm robert.grimm@cs.fau.de
% Pattern Recognition Lab, FAU Erlangen-Nuremberg, Erlangen, Germany
% Last change:  09.05.2012

function [  ] = exampleRadial()
% example for generating Radial samples  

% doOversampling: Oversampled readout (default: true)

% fixme: input: T0, Tend
% fixme: input: samplingT0, samplingTend / 


    baseres = 320;
    
    nSpokes = 320;

    perfusionStartTime = 0;
    perfusionTime = 60; % unit: [s]

    samplingStartTime=0; % unit: [s]
    samplingEndTime=60;

%     reordering = 'golden';
    reordering = 'incremental';
    
    aifModel = 'Parker';
    
    [samples, angles] = sampleRadial(baseres, nSpokes, perfusionStartTime, perfusionTime, samplingStartTime, samplingEndTime, reordering, aifModel, true);

    nReadoutSamples = numel(samples{1});  % may have changed due to readout oversampling
    SL = permute(reshape(cell2mat(samples), [nReadoutSamples nSpokes]), [2 1]);  

    SL = SL * baseres/nReadoutSamples; % correct scaling
        
    SLf = abs(fftshift(ifft(fftshift(SL, 2), [], 2), 2));

    slre = iradon(SLf.', angles*180/pi);

    figure(1), imagesc(abs(slre))    
    

    
end