% Author: Robert Grimm robert.grimm@cs.fau.de
% Pattern Recognition Lab, FAU Erlangen-Nuremberg, Erlangen, Germany
% Last change:  09.05.2012

function [ angles ] = computeAngles( N, mode )
%COMPUTEANGLES compute radial reordering
%   @N 		number of angles to compute
%	@mode 	reordering mode: 'golden', 'incremental', or 'incremental2'

if strcmp(mode, 'golden')==1
    G = 2/(1+sqrt(5)) * pi;
    angles = [0:N-1]*G;
    for i=1:N
        while angles(i) >= 2*pi
            angles(i) = angles(i) - 2*pi;
        end
    end
elseif strcmp(mode, 'incremental')==1
    angles = (0:(N-1))/N * pi;
elseif strcmp(mode, 'incremental2')==1
    angles = (0:(N-1))/N *2*pi;
else
    angles = [];
end

end

