function value=computeValueNone(pos,M,~,~,fine)
% COMPUTEVALUENONE computes the value of a k-space pixel for a phantom
% VALUE=COMPUTEVALUENONE(POS,M,~,~,FINE) computes the value of the k-space
% pixel POS for phantom M at level of detail FINE
% Input: POS: Absolut 2d position in k-space
%
%        M: Matrix containing informations about the ellipses in the image
%           in the form described for MATRIX in SHEPPLOGAN2D
%
%        FINE: Logical to describe the level of detail (true = detailed)
%
% Output: VALUE: Value of the pixel POS in the k-space
%
% Author: Johannes Churt

%Sanity checks
error(nargchk(2, 5, nargin));
error(nargoutchk(0, 1, nargout));

value=0;
lengthM=size(M,1);
% Loop over all ellipses
for k=1:lengthM
    if (M(k,7)==1)&&(fine==false)
        %No detailed ellipses
        continue
    end
    value=value+ellipseValue(pos,M(k,1),M(k,2),[M(k,3);M(k,4)],M(k,5),M(k,6));
end
end

