% Authors: Robert Grimm robert.grimm@cs.fau.de [1]
% Tobias Block [2]
% Johannes Churt [3]
% [1] Pattern Recognition Lab, FAU Erlangen-Nuremberg, Erlangen, Germany
% [2] NYU Langone Medical Center, New York City, NY, USA
% [3] Technical University Munich, Munich, Germany
% Last change:  09.05.2012

function M = defaultSL()
% DEFAULTSL return default geometry for Shepp-Logan phantom;

M=[ 0.69,0.92,0,0,0,2,0;... %Border
    0.6624,0.874,0,0,0,-0.8,0;... %Matter
    0.11,0.31,0.22,0,-18,-0.2,0;... %Ventricle
    0.16,0.41,-0.22,0,18,-0.2,0;... %Ventricle
    0.21,0.25,0,0.35,0,0.2,0;... %Lesion
    0.046,0.046,0,-0.1,0,0.3,0;... %Vessel
    0.046,0.046,0,0.1,0,0.3,0;... %Vessel
    0.023,0.046,0.08,-0.605,0,0.3,0;...%Vessel
    0.023,0.023,0.02,-0.605,0,0.3,0;...%Vessel
    0.023,0.046,-0.06,-0.605,-90,0.3,0;...%Vessel
  ];
	 
end